Subject: Re: [patch 4/6] ps3: Disk Storage Driver

From: Jeff Garzik <[email-masked]>
Date: Fri, 15 Jun 2007 17:50:50 -0400

David Miller wrote:
> It's senseless to make people build new major/minor numbers for
> all these new quirky storage drivers.  People have to add support
> for the new major number to installers and all kinds of other
> tools.

FWIW that's why libata followed the path it did:  faking SCSI required 
the least amount of code for the maximal amount of existing storage 
driver and platform installer support.

Well, that and the fact that ATAPI is really SCSI, but that's offtopic 
for this thread.  :)

	Jeff